* Display the custom fields dialog for customer #1.

loForm = newobject('CustomFields', 'FieldControls.vcx', '', 'ACME Supplies Ltd.', 1)
loForm.Show(1)

* Uncomment this code to use a persistence object that saves to the Settings
* table.

*loPersist = newobject('SFPersistentTable', 'SFPersist.vcx', '', .T.)
*loPersist.cFilePath   = 'Settings.dbf'
*loPersist.cKeyField   = 'Key'
*loPersist.cValueField = 'Value'
*loPersist.cTag        = 'Key'

* Uncomment this code to use a persistence object that saves to Settings.ini.

loPersist = newobject('SFPersistentINIFile', 'SFPersist.vcx', '', .T.)
loPersist.cFilePath = 'Settings.ini'
loPersist.cSection  = 'Options'

* Uncomment this code to use a persistence object that saves to the Registry.

*loPersist = newobject('SFPersistentRegistry', 'SFPersist.vcx', '', .T.)
*loPersist.cKey = 'Software\Stonefield Software Inc.\MyApplication\Options'

* Create a settings object and show that it read the existing settings.

loPersist.lSaveOnDestroy = .F.
loSettings = newobject('SFOptions', 'SFOptions.vcx', '', loPersist)
loSettings.LoadSettings()
messagebox('The current setting for checking news items is ' + transform(loSettings.CheckNews))

* Display the options dialog.

loForm = newobject('SFOptionsDialog', 'SFOptions.vcx', '', loSettings)
loForm.Show()
